Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 07:10:52 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I returned my order number 9418886640 last week only. Your delivery guy picked the stuff almost 5 days ago and till now I have not received my refund. I have to buy few things from splash and I can’t because you are guys not returning my credit. 4 days back when I talked to your customer agent he promised that I will receive it in 2 days but till now nothing has happened. How long it will take? I have been a loyal customer of splash but if such delays will happen in giving back money which is rightfully mine, probably I would not shop again. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5871859